[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomPage.CheckNewParent

Ensures that the specified control is derived from TCustomTabControl.

## Declaration

Source position: comctrls.pp line 266

`public procedure TCustomPage.CheckNewParent(`
`AParent: TWinControl`
`); override;`

## Arguments

`AParent` |  | Parent control examined in the method.

## Description

Raises an EInvalidOperation exception when AParent is not derived from TCustomTabControl. Calls the inherited CheckNewParent method when AParent is unassigned or derived from TCustomTabControl.

## Errors

Raises an EInvalidOperation exception when AParent is not derived from TCustomTabControl.

## See also

TCustomPage |  | The base class for TTabSheet.
TControl.CheckNewParent |  | Checks if this control can become a child of AParent.